org.apache.solr.client.solrj.io.eval

## Class NumberEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.ComplexEvaluator
  - - org.apache.solr.client.solrj.io.eval.NumberEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, Expressible

Direct Known Subclasses:
  AbsoluteValueEvaluator, AddEvaluator, ArcCosineEvaluator, ArcSineEvaluator, ArcTangentEvaluator, CeilingEvaluator, CosineEvaluator, CubedRootEvaluator, DivideEvaluator, FloorEvaluator, HyperbolicCosineEvaluator, HyperbolicSineEvaluator, HyperbolicTangentEvaluator, ModuloEvaluator, MultiplyEvaluator, NaturalLogEvaluator, PowerEvaluator, RoundEvaluator, SineEvaluator, SquareRootEvaluator, SubtractEvaluator, TangentEvaluator

    public abstract class NumberEvaluator
    extends ComplexEvaluator

See Also:
  Serialized Form

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`constructingFactory, nodeId, streamContext, subEvaluators`

### Constructor Summary

Constructors
Constructor and Description
`NumberEvaluator(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract Number` `evaluate(Tuple tuple)`
`List<BigDecimal>` `evaluateAll(Tuple tuple)`
`Number` `normalizeType(BigDecimal value)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`getStreamContext, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### NumberEvaluator

    public NumberEvaluator(StreamExpression expression,
                           StreamFactory factory)
                    throws IOException

Throws:
  `IOException`

### Method Detail

#### evaluate

    public abstract Number evaluate(Tuple tuple)
                             throws IOException

Throws:
  `IOException`

#### evaluateAll

    public List<BigDecimal> evaluateAll(Tuple tuple)
                                 throws IOException

Throws:
  `IOException`

#### normalizeType

    public Number normalizeType(BigDecimal value)